Bug 17846 - Remove C4::Koha::get_infos_of
Summary: Remove C4::Koha::get_infos_of
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-04 11:37 UTC by Jonathan Druart
Modified: 2017-12-07 22:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17846: Remove C4::Koha::get_infos_of (3.27 KB, patch)
2017-01-04 11:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17846: Remove C4::Koha::get_infos_of (3.42 KB, patch)
2017-01-04 11:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17846: Remove get_infos_of declaration (644 bytes, patch)
2017-01-04 16:12 UTC, M. Tompsett
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17846: Remove C4::Koha::get_infos_of (3.49 KB, patch)
2017-01-04 16:13 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 17846: Remove get_infos_of declaration (710 bytes, patch)
2017-01-04 16:13 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 17846: Remove C4::Koha::get_infos_of (3.57 KB, patch)
2017-01-27 09:37 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17846: Remove get_infos_of declaration (795 bytes, patch)
2017-01-27 09:37 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-01-04 11:37:22 UTC

    
Comment 1 Jonathan Druart 2017-01-04 11:48:49 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2017-01-04 11:50:04 UTC Comment hidden (obsolete)
Comment 3 M. Tompsett 2017-01-04 16:12:34 UTC Comment hidden (obsolete)
Comment 4 M. Tompsett 2017-01-04 16:13:26 UTC
Created attachment 58596 [details] [review]
[SIGNED-OFF] Bug 17846: Remove C4::Koha::get_infos_of

This subroutine does not longer make any senses. The call to
get_infos_of can be replaced with $dbh->selectall_hashref.
The third argument of this subroutine was never used.

Test plan (for developer only):
Compare the 2 codes and confirm that they are equivalent

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 5 M. Tompsett 2017-01-04 16:13:53 UTC
Created attachment 58597 [details] [review]
Bug 17846: Remove get_infos_of declaration

The function which was removed was still being exported.
This removes it completely.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 6 M. Tompsett 2017-01-04 16:20:18 UTC
Test plan for my patch amendment:

apply patch 1
git grep get_infos_of
-- still one line
apply patch 2
git grep get_infos_of
-- no lines

Left as needs sign off, because of my amendment.
Comment 7 Marcel de Rooy 2017-01-27 09:37:33 UTC
Created attachment 59610 [details] [review]
Bug 17846: Remove C4::Koha::get_infos_of

This subroutine does not longer make any senses. The call to
get_infos_of can be replaced with $dbh->selectall_hashref.
The third argument of this subroutine was never used.

Test plan (for developer only):
Compare the 2 codes and confirm that they are equivalent

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Marcel de Rooy 2017-01-27 09:37:37 UTC
Created attachment 59611 [details] [review]
Bug 17846: Remove get_infos_of declaration

The function which was removed was still being exported.
This removes it completely.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Kyle M Hall 2017-02-17 15:35:51 UTC
Pushed to master for 17.05, thanks Jonathan, Mark!
Comment 10 Katrin Fischer 2017-02-19 20:33:49 UTC
This won't get ported back to 16.11.x as it is an enhancement.